#include "common/data.hpp"
#include "common/meta.hpp"
#include "nodes/record/recordNode.hpp"

namespace GNode
{

void RecordNode::handle_data(std::shared_ptr<meta::MetaData>& meta_data)
{
    cv::Mat image = meta_data->draw_image;
    if (!writer_.isOpened())
    {
        writer_.open(record_path_, fourcc_, fps_, cv::Size(image.cols, image.rows));
        if (!writer_.isOpened())
        {
            PLOGE.printf("RecordNode : [%s] cannot open video writer", name_.c_str());
            stop();
        }
    }
    writer_ << image;
}

}   // namespace GNode